Skip to main content
GET
/
v1
/
agents
/
{agent_id}
Get Agent
curl --request GET \
  --url https://api.example.com/v1/agents/{agent_id} \
  --header 'X-API-Key: <api-key>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "definition": {},
  "description": "<string>",
  "visible": true,
  "image_url": "<string>",
  "last_updated_at": "2023-11-07T05:31:56Z",
  "deleted_at": "2023-11-07T05:31:56Z",
  "app_settings_v2": {
    "is_active": false,
    "version_id": "<string>",
    "interface_type": "slack",
    "extra_settings": {},
    "published_at": "2023-11-07T05:31:56Z"
  },
  "is_app_published": true,
  "allow_public_access": false,
  "meta": {
    "template_id": "<string>"
  }
}

Authorizations

X-API-Key
string
header
required

Path Parameters

agent_id
string
required

Response

Successful Response

id
string<uuid>
required
group_id
string<uuid>
required
name
string
required
definition
Definition · object
required
description
string | null
visible
boolean
default:true
image_url
string | null
last_updated_at
string<date-time> | null
deleted_at
string<date-time> | null
app_settings_v2
AppSettingsV2 · object
is_app_published
boolean | null
allow_public_access
boolean
default:false
meta
AssistantMeta · object